Referencia APIv1ProductsBy ID
Get a product
Retrieve a single product by its public ID.
X-API-Key<token>
Per-store API key created in the dashboard at Settings > Developer > API Keys.
In: header
Path Parameters
id*string
Length
1 <= lengthResponse Body
application/json
application/json
curl -X GET "https://api.whatalo.com/v1/products/472819365047"{
"data": {
"id": "472819365047",
"name": "Premium Wireless Headphones",
"slug": "premium-wireless-headphones",
"description": "High-quality wireless headphones",
"price": 2500,
"compare_price": 3000,
"main_image": "https://cdn.example.com/img.jpg",
"gallery": [],
"is_active": true,
"is_featured": false,
"sku": "SKU-001",
"track_inventory": false,
"stock_quantity": 100,
"low_stock_threshold": 10,
"continue_selling": true,
"supplier_cost": 1200,
"wholesale_price": 2000,
"wholesale_min_quantity": 10,
"condition": "new",
"invoice_available": false,
"fast_shipping": false,
"warranty_months": 12,
"category_id": "104728193650",
"is_purchasable": true,
"has_discount": false,
"discount_percentage": 16.67,
"variants": [],
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-01-15T10:30:00.000Z"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request body",
"details": [
{
"field": "string",
"message": "string"
}
]
}
}